.access {
  padding-bottom: 200px;
}

.access-flex {
  display: flex;
  justify-content: space-between;
  max-width: 860px;
  margin: 60px auto 0;
}

.access-detail {
  width: calc(50% - 20px);
  max-width: 400px;
  font-size: 14px;
  color: #3e3e3e;
}

.access-map {
  width: 100%;
  height: auto;
}

.block-link {
  text-align: center;
  padding-top: 100px;
}

.block-link a {
  background-color: #2e2e2e;
  display: inline-block;
  width: 100%;
  max-width: 450px;
  line-height: 90px;
  color: #fff;
  position: relative;
}

.block-link a::after {
  content: '';
  background: url(./images/arrow-right-white.svg) no-repeat center center;
  background-size: contain;
  width: 30px;
  height: 3px;
  position: absolute;
  right: 15px;
  bottom: 17px;
}

.info-block {
  margin-bottom: 40px;
}

.info-row {
  display: flex;
  align-items: flex-start;
  margin-bottom: 24px;
  flex-wrap: nowrap;
}

.info-label {
  flex-shrink: 0;
  // font-weight: bold;
}

.info-line {
  flex-grow: 1;
  height: 1px;
  background-color: #333;
  margin: 10px 12px 0;
}

.info-content {
  flex-shrink: 0;
  min-width: 190px;
  line-height: 2;
}

.info-content a {
  border-bottom: 1px solid;
}

.access-map-link {
  border: 1px solid;
  display: block;
  line-height: 50px;
  padding: 0 20px;
  position: relative;
  max-width: 360px;
}

.access-map-link::after {
  content: '';
  background: url(./images/icon-pin.svg) no-repeat center center;
  background-size: contain;
  display: block;
  position: absolute;
  right: 20px;
  bottom: 0;
  top: 0;
  margin: auto;
  width: 10px;
  height: 15px;
}
.parking img {
  vertical-align: sub;
}

@media (max-width: 768px) {
  .access {
    padding-bottom: 80px;
  }
  .access-flex {
    flex-direction: column-reverse;
    gap: 40px;
    margin-top: 40px;
    align-items: center;
  }
  .access-detail {
    width: 100%;
    max-width: 450px;
  }
  .access-map {
    width: 100vw;
    margin-left: -30px;
  }
  .access-map-link {
    font-size: 16px;
    text-align: center;
    line-height: 60px;
    max-width: 450px;
  }
  .access-map-link::after {
    width: 12px;
    height: 20px;
  }
  .block-link {
    padding-top: 30px;
  }
  .block-link a {
    line-height: 60px;
  }
}